## variety 0.8.12

=== debian/changelog ===
variety (0.8.12-1) unstable; urgency=medium

  * New upstream release.
    - Add support for KDE Plasma 6

 -- James Lu <jlu@debian.org>  Tue, 20 Feb 2024 20:25:35 -0800

variety (0.8.11-1) unstable; urgency=medium

  * New upstream release.
    - Fix Python 3.12 support (imp module removal)
  * Add R: libavif-gdk-pixbuf for AVIF format support
  * Update my email.

 -- James Lu <jlu@debian.org>  Sat, 04 Nov 2023 11:41:02 -0700

=== debian/control ===
Source: variety
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-distutils-extra,
Maintainer: James Lu <jlu@debian.org>
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://peterlevi.com/variety/
Vcs-Git: https://salsa.debian.org/jlu-guest/variety.git
Vcs-Browser: https://salsa.debian.org/jlu-guest/variety

Package: variety
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gexiv2-0.10,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         imagemagick,
         python3-bs4,
         python3-lxml,
         python3-cairo,
         python3-configobj,
         python3-dbus,
         python3-gi,
         python3-gi-cairo,
         python3-pil,
         python3-pkg-resources,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
            python3-httplib2,
            fortune-mod,
            libavif-gdk-pixbuf
Suggests: feh | nitrogen,
          gnome-shell-extension-appindicator
Description: Wallpaper changer, downloader and manager
 Variety is a wallpaper manager for Linux systems. It supports numerous
 desktops and wallpaper sources, including local files and online
 services: Flickr, Wallhaven, Unsplash, and more.
 .
 Where supported, Variety sits as a tray icon to allow easy pausing and
 resuming. Otherwise, its desktop entry menu provides a similar set of
 options.
 .
 You can also install the following (suggested) packages to enhance Variety's
 functionality on certain desktop setups:
  * feh | nitrogen: used for wallpaper changing on i3, openbox, and dwm
  * gnome-shell-extension-appindicator | gnome-shell-extension-top-icons-plus:
    adds tray icon / indicator support to GNOME Shell, so that Variety's tray
    icon can be displayed

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/variety-$1\.tar\.gz/,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/varietywalls/variety/tags .*/v?(\d\S+)\.tar\.gz

## variety 0.8.13

=== requirements.txt ===
beautifulsoup4
lxml
configobj
pycairo
requests
pygobject
pillow
httplib2
packaging

=== debian/changelog ===
variety (0.8.13-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Restore python3-pkg-resources as alternative BD.
  * Make recommended packages explicit dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Jun 2025 10:05:04 -0700

variety (0.8.13-1) unstable; urgency=medium

  * New upstream release.
    - Replace python3-pkg-resources with python3-packaging (Closes: #1083982)
    - Fix SyntaxWarning in QuotationsPageSource.py (Closes: #1087161)

 -- James Lu <jlu@debian.org>  Sun, 02 Mar 2025 15:12:02 -0800

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
-               python3-distutils-extra,
-Maintainer: James Lu <jlu@debian.org>
+               python3-distutils-extra
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: James Lu <jlu@debian.org>
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://peterlevi.com/variety/
@@ -22,23 +23,22 @@
          gir1.2-pango-1.0,
          imagemagick,
          python3-bs4,
-         python3-lxml,
          python3-cairo,
          python3-configobj,
          python3-dbus,
          python3-gi,
          python3-gi-cairo,
+         python3-lxml,
+         python3-packaging | python3-pkg-resources,
          python3-pil,
-         python3-pkg-resources,
          python3-requests,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
-            python3-httplib2,
+         ${python3:Depends},
             fortune-mod,
-            libavif-gdk-pixbuf
-Suggests: feh | nitrogen,
-          gnome-shell-extension-appindicator
+            gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
+            libavif-gdk-pixbuf,
+            python3-httplib2
+Suggests: feh | nitrogen, gnome-shell-extension-appindicator
 Description: Wallpaper changer, downloader and manager
  Variety is a wallpaper manager for Linux systems. It supports numerous
  desktops and wallpaper sources, including local files and online

## variety 0.9.0~b1

=== requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 pillow
 httplib2
 packaging
+dbus-python

=== debian/changelog ===
variety (0.9.0~b1-2) unstable; urgency=medium

  * Fix installation of variety.desktop entry
  * Remove generated .mo files in dh_auto_clean
  * Update man page to reflect new --meta flag
  * Update long description: remove gnome-shell-extension-top-icons-plus
    and update note for feh | nitrogen

 -- James Lu <jlu@debian.org>  Thu, 12 Feb 2026 21:59:38 -0800

variety (0.9.0~b1-1) unstable; urgency=medium

  * New upstream beta release.
    - Replace B-D: python3-distutils-extra with python3-setuptools and
      python3-setuptools-gettext
    - Add R: webp-pixbuf-loader for .webp support
    - Remove alternate suggests on obsolete gnome-shell-extension-top-icons-plus
  * Update debian/watch to support ~bN beta versions
  * Bump Standards-Version to 4.7.3; no changes needed
  * Update homepage and source links to GitHub

 -- James Lu <jlu@debian.org>  Thu, 12 Feb 2026 21:04:40 -0800

=== debian/control ===
Source: variety
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-setuptools-gettext,
Maintainer: James Lu <jlu@debian.org>
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://github.com/varietywalls/variety/
Vcs-Git: https://salsa.debian.org/jlu-guest/variety.git
Vcs-Browser: https://salsa.debian.org/jlu-guest/variety

Package: variety
Architecture: all
Depends: gir1.2-gdkpixbuf-2.0,
         gir1.2-gexiv2-0.10,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-pango-1.0,
         imagemagick,
         python3-bs4,
         python3-lxml,
         python3-cairo,
         python3-configobj,
         python3-dbus,
         python3-gi,
         python3-gi-cairo,
         python3-packaging,
         python3-pil,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends}
Recommends: gir1.2-ayatanaappindicator3-0.1 | gir1.2-appindicator3-0.1,
            python3-httplib2,
            fortune-mod,
            libavif-gdk-pixbuf,
            webp-pixbuf-loader
Suggests: feh | nitrogen,
          gnome-shell-extension-appindicator
Description: Wallpaper changer, downloader and manager
 Variety is a wallpaper manager for Linux systems. It supports numerous
 desktops and wallpaper sources, including local files and online
 services: Flickr, Wallhaven, Unsplash, and more.
 .
 Where supported, Variety sits as a tray icon to allow easy pausing and
 resuming. Otherwise, its desktop entry menu provides a similar set of
 options.
 .
 You can also install the following (suggested) packages to enhance Variety's
 functionality on certain desktop setups:
  * feh | nitrogen: used for wallpaper changing on window managers
  * gnome-shell-extension-appindicator:
    adds tray icon / indicator support to GNOME Shell, so that Variety's tray
    icon can be displayed

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=variety

%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python3,translations --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

execute_after_dh_auto_clean:
	rm -rf ./variety/locale

execute_after_dh_auto_install:
	mkdir -p debian/variety/usr/share/applications
	sed -E 's/^_(Name|Comment)/\1/g' variety.desktop.in > debian/variety/usr/share/applications/variety.desktop

override_dh_auto_test:
	# Not used in Debian build since they predominantly require network access
	true

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/variety-$1\.tar\.gz/,\
  uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|b(?:eta)?|alpha)\d*)$/$1~$2/ \
  https://github.com/varietywalls/variety/tags .*/v?(\d\S+)\.tar\.gz
